summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrea Girotto2015-06-08 22:36:09 +0200
committerAndrea Girotto2015-06-08 22:36:09 +0200
commit3bccad2e276bca1500f04114b82924bb703b5355 (patch)
treee0455b4d324e68f03fd11e5002493f030d34a62d
downloadaur-3bccad2e276bca1500f04114b82924bb703b5355.tar.gz
Initial commit: release 2.1.4-2
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD27
-rw-r--r--archlinux.patch12
3 files changed, 56 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5236f605700
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = guile-dbd-postgresql
+ pkgdesc = guile-dbi database driver postgresql
+ pkgver = 2.1.4
+ pkgrel = 2
+ url = http://home.gna.org/guile-dbi/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ depends = guile-dbi>=2.1.2
+ depends = postgresql-libs
+ source = archlinux.patch
+ source = http://download.gna.org/guile-dbi/guile-dbd-postgresql-2.1.4.tar.gz
+ md5sums = df216c4714ee3d7994c61e06b8767b43
+ md5sums = 18a7b642570bf251ebe9255745fb5afd
+
+pkgname = guile-dbd-postgresql
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4a20aa086b8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Andrea Girotto <andrea (dot) girotto (at) gmail (dot) com>
+pkgname=guile-dbd-postgresql
+pkgver=2.1.4
+pkgrel=2
+pkgdesc='guile-dbi database driver postgresql'
+arch=(i686 x86_64)
+license=(GPL2)
+depends=('guile-dbi>=2.1.2' postgresql-libs)
+url=http://home.gna.org/guile-dbi/
+source=(archlinux.patch
+ http://download.gna.org/guile-dbi/${pkgname}-${pkgver}.tar.gz)
+md5sums=('df216c4714ee3d7994c61e06b8767b43'
+ '18a7b642570bf251ebe9255745fb5afd')
+
+build(){
+ cd ${srcdir}
+ patch -p0 < archlinux.patch
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr || return 1
+ make
+
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
diff --git a/archlinux.patch b/archlinux.patch
new file mode 100644
index 00000000000..37ad9a1a35b
--- /dev/null
+++ b/archlinux.patch
@@ -0,0 +1,12 @@
+diff -Naur guile-dbd-postgresql-2.1.4/src/guile-dbd-postgresql.c guile-dbd-postgresql-2.1.4-new/src/guile-dbd-postgresql.c
+--- guile-dbd-postgresql-2.1.4/src/guile-dbd-postgresql.c 2008-12-13 23:44:28.000000000 +0100
++++ guile-dbd-postgresql-2.1.4-new/src/guile-dbd-postgresql.c 2013-10-05 20:18:38.770299378 +0200
+@@ -24,7 +24,7 @@
+
+ #include <guile-dbi/guile-dbi.h>
+ #include <libguile.h>
+-#include <postgresql/libpq-fe.h>
++#include <libpq-fe.h>
+ #include <string.h>
+ #include <errno.h>
+ #include <stdio.h>